Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.deploy.api.spi
Interface WebLogicDeploymentConfiguration

All Superinterfaces:
  weblogic.deploy.api.internal.Closable, DeploymentConfiguration

public interface WebLogicDeploymentConfiguration
extends DeploymentConfiguration, weblogic.deploy.api.internal.Closable

This interface provides WebLogic Server extensions to `DeploymentConfiguration`. WebLogicDeploymentConfiguration represents the overall WebLogic Server-specific configuration for a standalone module or Enterprise Application.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static String` | `DEFAULT_APPNAME` The default name for an application.

Method Summary
`void` | `close()` Closes all resources and invalidates this configuration.
`void` | `export(int type)` Create new plan using variables for properties in all descriptors.
`String` | `getModuleName(DDBeanRoot ddr)` Returns the configured name of module.
`weblogic.j2ee.descriptor.wl.DeploymentPlanBean` | `getPlan()` Returns the bean tree for the current deployment plan.

Methods inherited from interface javax.enterprise.deploy.spi.DeploymentConfiguration
`getDConfigBeanRoot, getDeployableObject, removeDConfigBean, restore, restoreDConfigBean, save, saveDConfigBean`

Field Detail

### DEFAULT_APPNAME

    public static final String DEFAULT_APPNAME

  The default name for an application.

  See Also:
    Constant Field Values

Method Detail

### close

    public void close()

  Closes all resources and invalidates this configuration. Further access to this object will have indeterminate results.

  Specified by:
    `close` in interface `weblogic.deploy.api.internal.Closable`

### export

    public void export(int type)
                throws IllegalArgumentException

  Create new plan using variables for properties in all descriptors. Exporting a plan involves ensuring that a subset of descriptor properties have variable assignments (value overrides) and that the override value is unspecified. Export does not save the new plan.

  Parameters:
    `type` - is one of `weblogic.deploy.api.spi.WebLogicDConfigBeanRoot.DEPENDENCY`, `weblogic.deploy.api.spi.WebLogicDConfigBeanRoot.DECLARATION`, `weblogic.deploy.api.spi.WebLogicDConfigBeanRoot.CONFIGURABLE`, `weblogic.deploy.api.spi.WebLogicDConfigBeanRoot.CHANGABLE` or `weblogic.deploy.api.spi.WebLogicDConfigBeanRoot.DYNAMIC`
  Throws:
    `IllegalArgumentException`

### getModuleName

    public String getModuleName(DDBeanRoot ddr)

  Returns the configured name of module.

  Parameters:
    `ddr` - The root element of the standard deployment descriptor for the module.

### getPlan

    public weblogic.j2ee.descriptor.wl.DeploymentPlanBean getPlan()

  Returns the bean tree for the current deployment plan.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD